AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- GoogleOAuth

## Index

### Constructors

- constructor

### Properties

- initialized

### Methods

- refreshGoogleToken

## Constructors

### constructor

- new GoogleOAuth(): GoogleOAuth

- - Defined in core/src/OAuthHelper/GoogleOAuth.ts:41

  #### Returns GoogleOAuth

## Properties

### initialized

initialized: boolean = false

- Defined in core/src/OAuthHelper/GoogleOAuth.ts:41

## Methods

### refreshGoogleToken

- refreshGoogleToken(): Promise<any>

- - Defined in core/src/OAuthHelper/GoogleOAuth.ts:48

  #### Returns Promise<any>